org.richfaces.renderkit

## Class TabRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.richfaces.renderkit.TabRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser, TabEncoder
  Direct Known Subclasses:
    TabRenderer

      public class TabRendererBase
      extends org.ajax4jsf.renderkit.RendererBase
      implements TabEncoder

  Author:
    Nick Belaevski - nbelaevski@exadel.com created 12.01.2007

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeTab(javax.faces.context.FacesContext context, UITab tab, boolean active)` Encode this tab header in Panel switch pane.
    `protected java.lang.Class` | `getComponentClass()`
    `boolean` | `getRendersChildren()`
    `java.lang.String` | `getTabDisplay(javax.faces.context.FacesContext context, UITab tab)`
    `protected boolean` | `shouldRenderTab(UITab tab)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabRendererBase

          public TabRendererBase()

  - ### Method Detail

    - #### encodeTab

          public void encodeTab(javax.faces.context.FacesContext context,
                       UITab tab,
                       boolean active)
                         throws java.io.IOException

      Encode this tab header in Panel switch pane.
      Specified by:
        `encodeTab` in interface `TabEncoder`
      Parameters:
        `context` -
        `tab` -
        `active` -
      Throws:
        `java.io.IOException`

    - #### getTabDisplay

          public java.lang.String getTabDisplay(javax.faces.context.FacesContext context,
                                       UITab tab)

    - #### shouldRenderTab

          protected boolean shouldRenderTab(UITab tab)

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2014. All Rights Reserved.